The tag has no wiki summary.

learn more… | top users | synonyms

1
vote
2answers
229 views

ISC BIND refuses to start: “exiting (due to fatal error)”

Bind 9.8.2 on CentOS 6.4 x64 on IBM X server. Bind 9.8.2 from official Centos updates repo used to work fine, but then I needed to tweak it by compiling from source (nothing crazy here -- just ...
0
votes
2answers
1k views

Launching R but it can't find liblzma.so.2

I have R installed but when I try to launch it I get: ubuntu@ip-xx-250-202:/mnt/galaxyData/custom/MY_MSG_RUN$ R /mnt/galaxyData/custom/bin/lib64/R/bin/exec/R: error while loading shared libraries: ...
5
votes
1answer
128 views

Best way to automatically update all centos packages except those which might affect a user-specified list of packages?

More specifically... What I want to be able to do: Centralized package management. Keep systems updated without downloading entire repos (i.e. if a system doesn't have Libreoffice on it, I don't ...
2
votes
1answer
145 views

RPM packaging conflicting libraries

What is best practice for RPM packaging something that provides a library which in name shadows a system library? Background: For an RPM-backed Linux system, I am packaging a "self-contained" app foo ...
1
vote
1answer
659 views

Debian package performance on XFS, btrfs, ext3, ext4

I did 4 clean installations of debian 6 and measured time of installing some average virtual package. FS options are default. time apt-get install build-essential I got very strange results ...
1
vote
1answer
63 views

Dedicated Debian Package Server

We've got a series of debs for different projects and different environments to install them in: dev, build/test qa (less formal), qa (formal), and production. I would really like to create a system ...
0
votes
1answer
152 views

trying to install postgresql-contrib for pg 8.4 in Ubuntu 12.10

I had to do some strange voodoo last year sometime to get postgresql 8.4 installed on a relatively modern ubuntu OS. I had to use 8.4 because the production site is 8.4 and we needed to ensure ...
0
votes
1answer
3k views

ERROR with rpm_check_debug vs depsolve

Transaction Summary ========================================================================================================================================================== Install 9 ...
0
votes
1answer
348 views

Add dpkg .symbols or.shlibs to package made using checkinstall

I have created a simple package using checkinstall of the Oracle Instantclient client libraries, the package installs without problem and is seen in the system. Problem is, that checkinstall doesn't ...
0
votes
1answer
95 views

CentOS 5.5 Package documentation

Usually when I install a common package like PostgreSQL or MySQL or Python etc using Yum it installs the files held within those packages into locations specific to CentOS itself. It may also install ...
0
votes
1answer
262 views

problem in installing dnsproxy on Lucid

I am trying to install dnsproxy on a Ubuntu 10.04 64 bit server but this is failing. root@some:/etc/apache2/mods-enabled# aptitude install dnsproxy Reading package lists... Done Building dependency ...
3
votes
0answers
98 views

Puppet removes packages while installing “lsscsi”

We wanted to install the "lsscsi" package on all our Linux Servers and build a manifest for it: # pack_lsscsi.pp class common::pack_lsscsi { case $operatingsystem { RedHat, ...
2
votes
0answers
158 views

Having trouble installing Racoon and Strongswan on the same system

I have two applications that I need to run, one uses Racoon for establishing IPSec tunnels and the other uses Strongswan. Therefore, I need both Racoon and Strongswan installed simultaneously on my ...
1
vote
0answers
15 views

Which dependencies are removable after building ruby?

I've successfully built ruby 2.1.1 on Ubuntu/Debian by installing the following dependencies: apt-get install \ autoconf \ bison \ build-essential \ libssl-dev \ libyaml-dev \ ...
1
vote
0answers
25 views

Keeping a local mirror lean and mean for what our application needs

We have a local mirror RPM repositorythat lives where our virtual servers live on Amazon Web Services. This setup could conserve some network bandwidth, but my predecessor probably set it up as place ...
1
vote
0answers
92 views

Robustness of installing from deb on RHEL

How robust is the method of converting .deb packages to RPM using alien and then installing on RHEL/CentOS with yum? What are best practices to manage the process? I have used Debian for several ...
1
vote
0answers
71 views

dev/test/prod package update workflow for debian/ubuntu

I'm doing more ubuntu server work now (as opposed to RHEL), and I'm not certain how the debian/ubuntu communities handle managing package updates through a dev/test/(staging)/prod environment. The ...
0
votes
0answers
15 views

Regular Debian server-maintenance through package updates

We're hosting multiple Websites with different Content Management Systems, also with different Versions. There are multiple Debian servers running on one esxi. I want to introduce a Windows-like ...
0
votes
0answers
19 views

Where does opkg perform dependency checks if there is no Packages.gz?

can anyone tell me what the default behaviour is for opkg to perform dependency checks, MD5 sum checks, etc? If I want to install an ipk file built out by Yocto (1.4 or 1.6.1) using bitbake: "bitbake ...
0
votes
0answers
7 views

How to find out the if a package was installed directly or through a dependency on SLES?

I just inherited the administration of a Suse Linux Enterprise Server box, and I am trying to find out what was installed on it. I can get the complete list of installed packages with rpm -qa, ...
0
votes
0answers
27 views

Producing RPMs that conflict with all versions released by someone else?

I find myself needing to create a variant of the PostgreSQL packages that are mostly compatible with the official http://yum.postgresql.org/ packages. My packages are compatible with client apps that ...
0
votes
0answers
262 views

403 AuthorizedOnly error when attempting apt-get upgrade on Ubuntu 12.04

For some reason, apt-get upgrade isn't working today. This is what I see when I try to upgrade : root@localhost:~# apt-get upgrade Reading package lists... Done Building dependency tree ...
0
votes
0answers
29 views

How Do I Update a Package version and/or dependencies

The installed package libnet-amazon-ec2-perl uses v0.14.1. How do I update this package to use the latest stable release v0.22.1? When I try sudo apt-get --only-upgrade install ...
0
votes
0answers
283 views

Installing icinga unmet dependencies

I am trying to install icinga-web and I am getting following error:- I tried installing both the icinga-core and icinga-idoutils but I still get this error. apt-get install icinga-web Reading ...